Skip to main content
POST
/
v1
/
admin-reports
/
activity-report
/
run
Run Activity Report
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/admin-reports/activity-report/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-11-07T05:31:56Z",
  "end": "2023-11-07T05:31:56Z",
  "userIds": [
    "<string>"
  ],
  "categories": [
    "ACCOUNT_GROUPING"
  ],
  "onlyCompletedAnalyses": true
}
'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": "<string>",
  "entityType": "ORGANIZATION",
  "error": "<string>",
  "errorMessage": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
start
string<date-time>
required

The first date in the reporting timeframe.

end
string<date-time>
required

The last date in the reporting timeframe.

userIds
string[]

The users to include in the report. If empty, all users will be included.

categories
enum<string>[]

The categories to include in the report. If empty, all categories will be included.

Available options:
ACCOUNT_GROUPING,
ACCOUNT_MAPPING,
ADMIN_REPORT,
ANALYSIS,
ANALYSIS_SETTINGS,
ANALYSIS_TYPE,
API_TOKEN,
AUDIT_ANNOTATION,
COLLECTION_ASSIGNMENT,
CUSTOM_CONTROL_POINT,
ENGAGEMENT,
ENGAGEMENT_ACCOUNT_GROUP,
FILE_LOCKER,
FILE_MANAGER,
FILTER,
GDPDU,
INGESTION,
INTEGRATIONS,
LIBRARY,
MIGRATION,
ORGANIZATION,
POPULATION,
QUERY,
RATIO,
REPORT_BUILDER,
REPORT,
RESULTS_EXPORT,
RISK_RANGES,
RISK_SEGMENTATION_DASHBOARD,
SCIM_API,
SUPPORT_ACCESS,
TASK,
USER,
WORKFLOW,
PAGE_VIEW,
ANALYSIS_SOURCE,
WEBHOOK,
PROCEDURE_INSTANCE,
CLOUD_ELEMENTS,
ENGAGEMENT_ACCOUNT_GROUPING_NODE
onlyCompletedAnalyses
boolean

Restrict entries to analysis complete events.

Response

202 - application/json

Accepted

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string